Package org.astrogrid.samp.httpd

# Interface HttpServer.Handler

All Known Implementing Classes:
  `DirectoryMapperHandler`, `MultiURLMapperHandler`, `OpenPolicyResourceHandler`, `ResourceHandler`, `URLMapperHandler`

Enclosing class:
  `HttpServer`

public static interface HttpServer.Handler
Implemented to serve data for some URLs.

## Method Summary

Modifier and Type
Method
Description
`HttpServer.Response`
`serveRequest(HttpServer.Request request)`
Provides a response to an HTTP request.

## Method Details

### serveRequest

HttpServer.Response serveRequest(HttpServer.Request request)
Provides a response to an HTTP request. A handler which does not recognise the URL should simply return null; in this case there may be another handler which is able to serve the request. If the URL appears to be in this handler's domain but the request cannot be served for some reason, an error response should be returned.

Parameters:
  `request` - HTTP request
Returns:
  response response to request, or null